Bug 1033907 - Test case failure: Outputs - DVI on Radeon HD 7850 [1002:6819]
Summary: Test case failure: Outputs - DVI on Radeon HD 7850 [1002:6819]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 7.1
Assignee: Jérôme Glisse
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-24 09:42 UTC by Vasiliy Sharapov
Modified: 2015-11-19 20:00 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-19 20:00:30 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC

Description Vasiliy Sharapov 2013-11-24 09:42:21 UTC
Filed from caserun https://tcms.engineering.redhat.com/run/99313/#caserun_3816192

Version-Release number of selected component (if applicable):
Build : RHEL-7.0-20131111.1
xorg-x11-server-Xorg-1.14.99.901-5.20131101.el7.x86_64
xorg-x11-drv-ati-7.2.0-6.20131023gitf1dc677.el7.x86_64
kernel-3.10.0-48.el7.x86_64

Steps to Reproduce: 
 1. obtain a box with DVI output and as much screens that you device supports
 2. if you need signal splitter use it as well


 1. connect as much screens as supported to the box
 2. perform several suspend/resume cycles



Actual results: 
On resume system hangs with no video/ssh/numlock.

Expected results:
Screens should be correctly set, their native resolution should be set and
suspend/resume cycles should work as well

Comment 2 Jérôme Glisse 2013-12-10 21:36:16 UTC
You need linux-firmware >= 20131106-0.1.git7d0c7a8

Comment 3 Jérôme Glisse 2014-02-20 20:49:18 UTC
This need to be retested but here i can not reproduce with :

linux-firmware-20140102-0.2.git52d77db.el7.noarch
kernel-3.10.0-89
mesa-dri-drivers-9.2.5
xorg-x11-drv-ati-7.2.0-8.20140113git3213df1
xorg-x11-glamor-0.5.1-4.20140115gitfb4d046c

Comment 4 Jérôme Glisse 2014-03-07 15:26:47 UTC
We believe this is already fixed but moving to 7.1

Comment 6 Jérôme Glisse 2014-07-17 15:24:42 UTC
This should already work in 7.0 but reassigning to kernel as if it is an issue than it is a kernel issue.

Comment 12 Vasiliy Sharapov 2015-09-16 17:23:22 UTC
This is fixed, there is a new (previously undiscoverable) mild bug on DVI as well as all outputs: https://bugzilla.redhat.com/show_bug.cgi?id=1263784
But this issue is fixed.

Comment 14 errata-xmlrpc 2015-11-19 20:00:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2152.html


Note You need to log in before you can comment on or make changes to this bug.